def is_valid_cube(numbers):
    total_sum = sum(numbers)
    if total_sum % 3 != 0:
        return False
    target_sum = total_sum // 3
    # Проверка на равенство сумм по парам
    pairs = [(numbers[0], numbers[5]), (numbers[1], numbers[4]), (numbers[2], numbers[3])]
    if (pairs[0][0] + pairs[0][1] == target_sum and
        pairs[1][0] + pairs[1][1] == target_sum and
        pairs[2][0] + pairs[2][1] == target_sum):
        return True
    return False

n = int(input())
for _ in range(n):
    numbers = list(map(int, input().split()))
    if is_valid_cube(numbers):
        print("YES")
    else:
        print("NO")
        
        
