def can_form_cube(heights):
    # Проверяем, что на каждой грани одно и то же число не повторяется больше 4 раз
    counts = {}
    for height in heights:
        if height in counts:
            counts[height] += 1
        else:
            counts[height] = 1

    # Если какие-либо из значений появляются больше 2 раз, невозможно сформировать кубик
    for count in counts.values():
        if count > 2:
            return "no"
    
    return "yes"

# Считываем данные
n = int(input("Введите число кубиков: "))
results = []

for _ in range(n):
    heights = list(map(int, input().split()))
    result = can_form_cube(heights)
    results.append(result)

# Выводим результаты
for res in results:
    print(res)
