def get_path(a, b):
    path = []
    
    while a != 1 or b != 1:
        if a < b:
            path.append('L')
            b = b - a
        else:
            path.append('R')
            a = a - b
            
        # This check is done to prevent going to a state not represented in the tree
        if a == 0 or b == 0:
            return "no"
    
    return ''.join(reversed(path))

def main():
    a, b = map(int, input().split())
    
    if a >= b:
        print("no")
        return
    
    result = get_path(a, b)
    
    print(result)

if __name__ == "__main__":
    main()
